std::experimental::simd_abi::scalar(3)

NAME
std::experimental::simd_abi::scalar - std::experimental::simd_abi::scalar

Synopsis
   Defined in header <experimental/simd>
   using scalar = /*unspecified*/; (parallelism TS v2)
   With the scalar ABI tag, data-parallel types are equivalent to a single element
   type. However, the full simd and simd_mask interface is supported and thus eases
   development of generic code.

Notes
   scalar is not an alias to fixed_size<1>.

See also
   fixed_size tag type for storing specified number of elements
   (parallelism TS v2) (alias template)
   compatible tag type that ensures ABI compatibility
   (parallelism TS v2) (alias template)
   native tag type that is most efficient
   (parallelism TS v2) (alias template)
   deduce obtains an ABI type for given element type and number of
   deduce_t elements
   (parallelism TS v2) (class template)